Subject: RE: [nfsv4] AUTH_GSS for Callbacks

From: "wurzl, mario" <[email-masked]>
Date: Thu, 30 Oct 2003 17:41:37 -0500

As protocol designers and implementers it is our duty to make a product to
easy to use as possible.
IT managers and administrators already complain about the complexities in
deploying and managing information systems, and the tendency is "again"
towards thin clients, but this time not because of the cost of the clients
as it has been in the past, but because of the cost in setting up and
managing these clients.
Introducing a new protocol that increases client administration costs, is
probably the most effective way to discourage deployment, and send the
protocol to the same basket with other great but unmanageable ideas, like
OSI.

Mario

> -----Original Message-----
> From: Kevin Coffman [mailto:[email-masked]] 
> Sent: Thursday, October 30, 2003 09:15
> To: Mike Eisler
> Cc: wurzl, mario; [email-masked]; Kevin Coffman
> Subject: Re: [nfsv4] AUTH_GSS for Callbacks 
> 
> 
> 
> > I'm having some trouble understanding this oft repeated system 
> > administrator's environment, since he seems to be interested in 
> > security. How does each client get an IP address assigned 
> to it? Since 
> > we reject a manual process for several thousand clients, we 
> are left 
> > with DHCP or something like it. How does the client then get its OS 
> > installed for first time? Some kind of automatic network 
> installation/ 
> > boot, such as JumpStart.
> 
> In our environment there isn't one "he" who is "the" system 
> administrator.  I've been asked by the help desk people, 
> "When are we going to get rid of this Kerberos thing that 
> causes so many problems?"
> 
> The people offering the service, NFSv4 for instance, may be 
> concerned about security, but the users just see it as a nuisance.
> 
> I guess that is our job: to try to make it secure and less of 
> a "nuisance".
> 
> K.C.
> 
> 

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

---

From: Mike Eisler <[email-masked]>
Date: Thu, 30 Oct 2003 14:54:11 -0800

> protocol to the same basket with other great but unmanageable ideas, like

That Kevin and you keep bringing up this issue suggests that
you are unhappy with using AUTH_NONE for SETCLIENTID, which solves the
ease of administration issue. So what is your proposal for something that
is more secure than using AUTH_NONE and still has the level of
ease of admin you want?

---

From: Nicolas Williams <[email-masked]>
Date: Thu, 30 Oct 2003 15:09:55 -0800

> protocol to the same basket with other great but unmanageable ideas, like

Single-user clients should not require acceptor credentials, but it does
help if they have acceptor credentials (i.e., it will be more convenient
to the user in general).

Multi-user clients need acceptor credentials to really be secure.

All that said, single-user clients using LIPKEY will not be able to use
secure callback channels without SPKM-3 initiator and acceptor creds.
This is a flaw in the spec that I think we can fix (repeat after me:
CCM-MIC, CCM-MIC, CCM-MIC).

Cheers,

Nico
--